﻿using DevExpress.XtraEditors;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.tokenEdit.Properties.EditMode = TokenEditMode.Manual;

            this.tokenEdit.ValidateToken += tokenEdit_ValidateToken;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 토큰 에디터 토큰 검증시 처리하기 - tokenEdit_ValidateToken(sender, e)

        /// <summary>
        /// 토큰 에디터 토큰 검증시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void tokenEdit_ValidateToken(object sender, TokenEditValidateTokenEventArgs e)
        {
            e.IsValid = e.Description.Length > 3;
        }

        #endregion
    }
}